---
title: "Add Channel Moderator"
slug: "add-channel-moderator"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/add-channel-moderator"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Add Channel Moderator
Post/api/v1/channels.addModerator
Assign the `moderator` role to a channel member. See [Room Roles](https://docs.rocket.chat/docs/room-roles) for details about the roles.
Permission required: `set-moderator`
### Changelog
| Version | Description |
| --- | --- |
| 0.49.4 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"roomId": "WDuJLFkjwk6L7LdFC",
"userId": "b66oZ8i9pkeSko33v"
}
```
object roomIdstring Required
The channel ID.
userIdstring Required
The user ID that you want to set as the moderator.
Responses200
OK
Success
```json
{
"success": true
}
```
object successboolean
400
Bad Request
User is already a moderator
```json
{
"success": false,
"error": "User is already a moderator [error-user-already-moderator]",
"errorType": "error-user-already-moderator"
}
```
object successboolean
errorstring
errorTypestring
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring